with GNATCOM.Dispinterface;

package MSHTML.IHTMLAnchorElement3_Interface is

   type IHTMLAnchorElement3_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLAnchorElement3_Type);

   function Pointer (This : IHTMLAnchorElement3_Type)
     return Pointer_To_IHTMLAnchorElement3;

   procedure Attach (This    : in out IHTMLAnchorElement3_Type;
                     Pointer : in     Pointer_To_IHTMLAnchorElement3);

   procedure Put_shape
     (This : IHTMLAnchorElement3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_shape
     (This : IHTMLAnchorElement3_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_coords
     (This : IHTMLAnchorElement3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_coords
     (This : IHTMLAnchorElement3_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_href
     (This : IHTMLAnchorElement3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_href
     (This : IHTMLAnchorElement3_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLAnchorElement3_Interface;

